Subject: Re: AW: [Sip] SIPIT Interop problem with ;user=phone

From: William Marshall <[email-masked]>
Date: Tue, 26 Aug 2003 07:21:33 -0400 (EDT)

Cullen wrote (entire message quoted below):
> sip:[email-masked] means send it to foo.com and foo will figure it out.
> 
> sip:[email-masked];user=phone means send to to foo.com and foo will figure it out. 

I think the above statement is exactly right.  As Richard Stastny wrote
> I thought that any server will take his hand off "foo" anyway
> if it is not "bar.com".

But I get somewhat worried when I see comments like that contained in a
message from Brian Rosen yesterday (entire message quoted below),
> If you send sip:<dialstring>@<host>;user=phone, then <host>, 
> or at least a proxy that understands the <host> dialing plan, 
> does the translation.  That may or may not be the first hop proxy.

***or at least a proxy that understands the <host> dialing plan****

If the ";user=phone" requires a strict format and global understanding
of the username of the sip: URI, then everyone can claim to be
a proxy that understands the <host> dialing plan.  This is wrong.

It should instead read:
   If you send sip:<dialstring>@<host>;user=phone, then <host>
   does the translation.  That may or may not be the first hop proxy.

Bill Marshall
[email-masked]

-----original messages-----
Subject: RE: [Sip] SIPIT Interop problem with ;user=phone
Date: Mon, 25 Aug 2003 09:04:51 +0200
From: "Stastny Richard" <[email-masked]>
To: "William Marshall" <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>, <[email-masked]>

Hi folks,
just for my understanding:

> There is certainly a difference between
> 	sip:[email-masked];user=phone
> and	tel:foo				
> 
> The first is explicitely telling all servers other than 
> bar.com to keep their hands off the string "foo".  When the 
> string "foo" appears in a tel: URL, then all those transit 
> servers can modify it, or route the call to their own 
> favorite gateway server; when the string "foo" appears in a 
> sip: URL, then the transit servers merely pass it 
> unchanged to the explicitely named host/gateway.
> 

I thought that any server will take his hand off "foo" anyway
if it is not "bar.com".
Am I missing something?
Richard

----------
From: "Rosen, Brian" <[email-masked]>
To: "Rosen, Brian" <[email-masked]>,
   "'Henning Schulzrinne'" <[email-masked]>,
   "Conroy, Lawrence (SMTP)" <[email-masked]>
Cc: Adam Roach <[email-masked]>, [email-masked],
   Richard <[email-masked]>
Subject: RE: Warning about dial plan assumptions (was RE: AW: [Sip] SIPIT 
	 Inte rop  problem with ;user=phone)
Date: Mon, 25 Aug 2003 11:10:25 -0400

Someone just pointed out to me that there could be confusion on
who translates a dial string to a routable number.
If you send sip:<dialstring>@<host>;user=phone, then <host>, 
or at least a proxy that understands the <host> dialing plan, 
does the translation.  That may or may not be the first hop proxy.

Most phones that I know have <host> configured; you don't type it.
If you did, and it wasn't your local proxy, then you better understand
how whatever you typed interprets your dial string, and your local
proxy better not muck with it.

Brian

----------
Date: Mon, 25 Aug 2003 11:48:36 -0700
Subject: Re: AW: [Sip] SIPIT  Interop  problem with ;user=phone
From: Cullen Jennings <[email-masked]>
To: <[email-masked]>

sip:[email-masked] means send it to foo.com and foo will figure it out.

sip:[email-masked];user=phone means send to to foo.com and foo will figure it
out. 

Right now it is totally random if the UA puts in the user=phone or not and
the proxies (as far as I can tell) mostly ignore it. I'm having a hard time
figuring out what the requirement is for this extra 1 bit of information
that currently has no semantic meaning. There is a certain amount of
operational experience that indicates this flag is not needed.

I think the whole thing is bogus unless someone can clearly state a
requirement that says why the proxy might need to know some extra bit of
information and clearly says how the UA would set this bit of information
based on something the user entered on the UA.

Defining something that all UAs will set to the same value or all proxies
will ignore is useless.

Cullen

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Dean Willis <[email-masked]>
Date: Wed, 27 Aug 2003 10:19:28 -0500

>    does the translation.  That may or may not be the first hop proxy.

I counterpropose that:

"If you send sip:<dialstring>@<domain>;user=phone, then <domain>,
meaning any proxy responsible for <domain> does the translation.  That
may or may not be the first hop proxy."

Funny, this works exactly the same way WITHOUT the user=phone.

--
Dean